<p>listar-rol works!</p>
<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span>Roles <mat-icon class="md-18" style="color: rgb(61, 61, 209);">work</mat-icon></span>

            <div class="example-spacer"></div>
            <button mat-raised-button color="primary" routerLink="/nuevoRoles">Agregar</button>
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>

        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>

                <!-- Position Column -->
                <ng-container matColumnDef="id_rol">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
                    <td mat-cell *matCellDef="let element"> {{element.id_rol}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="nombre_rol">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Rol </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_rol}} </td>
                </ng-container>

                <!-- Weight Column -->
                <ng-container matColumnDef="descripcion_rol">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Descripcion Rol </th>
                    <td mat-cell *matCellDef="let element"> {{element.descripcion_rol}} </td>
                </ng-container>


                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        <a class="pointer" style="color: black;" matTooltip="Ver">
                            <mat-icon>search</mat-icon>
                        </a>
                        <a class="pointer" (click)="editarRoles(element.id_rol)" matTooltip="Editar">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>
                        <a class="pointer" (click)="eliminarRoles(element.id_rol)" style="color: rgb(197, 0, 0);"
                            matTooltip="Eliminar">
                            <mat-icon color="warn">delete</mat-icon>
                        </a>

                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>
    </ng-container>
</div>